Name: tesseract
Version: 2.01
Release: alt1

Summary: Open source OCR Engine developed by HP Labs - now improved by Google

License: Apache License
Group: Graphics
Url: http://code.google.com/p/tesseract-ocr/

Packager: Vitaly Lipatov <lav@altlinux.ru>

%define dversion 2.00
Source: http://tesseract-ocr.googlecode.com/files/%name-%version.tar.bz2
Source1: http://tesseract-ocr.googlecode.com/files/tesseract-%dversion.eng.tar.bz2
Source2: http://tesseract-ocr.googlecode.com/files/tesseract-%dversion.fra.tar.bz2
Source3: http://tesseract-ocr.googlecode.com/files/tesseract-%dversion.ita.tar.bz2
Source4: http://tesseract-ocr.googlecode.com/files/tesseract-%dversion.deu.tar.bz2
Source5: http://tesseract-ocr.googlecode.com/files/tesseract-%dversion.spa.tar.bz2
Source6: http://tesseract-ocr.googlecode.com/files/tesseract-%dversion.nld.tar.bz2
# TODO: split data files, add deu-f and por
%if_with rewr
Source7: http://tesseract-ocr.googlecode.com/files/tesseract-%version.deu-f.tar.bz2
Source8: http://tesseract-ocr.googlecode.com/files/tesseract-%version.por.tar.bz2
%endif

# Automatically added by buildreq on Tue Jul 24 2007
BuildRequires: gcc-c++ libtiff-devel

%description
The Tesseract OCR engine was one of the top 3 engines in the 1995 UNLV
Accuracy test. Between 1995 and 2006 it had little work done on it,
but it is probably one of the most accurate open source OCR engines
available. The source code will read a binary, grey or color image and
output text. A tiff reader is built in that will read uncompressed TIFF
images, or libtiff can be added to read compressed images.

%package devel
Summary: Development tools for gocr
Group: Development/C
Requires: %name

%description devel
tesseract libraries and includes

%prep
%setup -q
#patch
tar xvfj %SOURCE1
tar xvfj %SOURCE2
tar xvfj %SOURCE3
tar xvfj %SOURCE4
tar xvfj %SOURCE5
tar xvfj %SOURCE6
%if_with rewr
tar xvfj %SOURCE7
tar xvfj %SOURCE8
%endif

%build
export CFLAGS=
export CXXFLAGS=
%configure --disable-static
%make_build

%install
%make_install install DESTDIR=%buildroot

%files
%doc AUTHORS README
%_bindir/*
%dir %_datadir/tessdata/
%_datadir/tessdata/configs/
%_datadir/tessdata/confsets/
%_datadir/tessdata/tessconfigs/

%files devel
%_includedir/%name/
%_libdir/*

%package eng
Group: Graphics
Summary: English language pack for tesseract

%description eng
The %name-eng package contains the data files required to recognize English

%files eng
%_datadir/tessdata/eng.DangAmbigs
%_datadir/tessdata/eng.freq-dawg
%_datadir/tessdata/eng.inttemp
%_datadir/tessdata/eng.normproto
%_datadir/tessdata/eng.pffmtable
%_datadir/tessdata/eng.unicharset
%_datadir/tessdata/eng.user-words
%_datadir/tessdata/eng.word-dawg

%package fra
Group: Graphics
Summary: French language pack for tesseract
%description fra
The %name-fra package contains the data files required to recognize French

%files fra
%_datadir/tessdata/fra.DangAmbigs
%_datadir/tessdata/fra.freq-dawg
%_datadir/tessdata/fra.inttemp
%_datadir/tessdata/fra.normproto
%_datadir/tessdata/fra.pffmtable
%_datadir/tessdata/fra.unicharset
%_datadir/tessdata/fra.user-words
%_datadir/tessdata/fra.word-dawg

%package ita
Group: Graphics
Summary: Italian language pack for tesseract
%description ita
The %name-ita package contains the data files required to recognize Italian

%files ita
%_datadir/tessdata/ita.DangAmbigs
%_datadir/tessdata/ita.freq-dawg
%_datadir/tessdata/ita.inttemp
%_datadir/tessdata/ita.normproto
%_datadir/tessdata/ita.pffmtable
%_datadir/tessdata/ita.unicharset
%_datadir/tessdata/ita.user-words
%_datadir/tessdata/ita.word-dawg

%package deu
Group: Graphics
Summary: German language pack for tesseract
%description deu
The %name-deu package contains the data files required to recognize German

%files deu
%_datadir/tessdata/deu.DangAmbigs
%_datadir/tessdata/deu.freq-dawg
%_datadir/tessdata/deu.inttemp
%_datadir/tessdata/deu.normproto
%_datadir/tessdata/deu.pffmtable
%_datadir/tessdata/deu.unicharset
%_datadir/tessdata/deu.user-words
%_datadir/tessdata/deu.word-dawg

%package spa
Group: Graphics
Summary: Spanish language pack for tesseract
%description spa
The %name-spa package contains the data files required to recognize Spanish

%files spa
%_datadir/tessdata/spa.DangAmbigs
%_datadir/tessdata/spa.freq-dawg
%_datadir/tessdata/spa.inttemp
%_datadir/tessdata/spa.normproto
%_datadir/tessdata/spa.pffmtable
%_datadir/tessdata/spa.unicharset
%_datadir/tessdata/spa.user-words
%_datadir/tessdata/spa.word-dawg

%package nld
Group: Graphics
Summary: Dutch language pack for tesseract
%description nld
The %name-nld package contains the data files required to recognize Dutch

%files nld
%_datadir/tessdata/nld.DangAmbigs
%_datadir/tessdata/nld.freq-dawg
%_datadir/tessdata/nld.inttemp
%_datadir/tessdata/nld.normproto
%_datadir/tessdata/nld.pffmtable
%_datadir/tessdata/nld.unicharset
%_datadir/tessdata/nld.user-words
%_datadir/tessdata/nld.word-dawg

%if_with rewr
%package por
Group: Graphics
Summary: Portuguese (Brazilian) language pack for tesseract
%description por
The %name-por package contains the data files required to recognize Portuguese (Brazilian)

%files por
%_datadir/tessdata/por.DangAmbigs
%_datadir/tessdata/por.freq-dawg
%_datadir/tessdata/por.inttemp
%_datadir/tessdata/por.normproto
%_datadir/tessdata/por.pffmtable
%_datadir/tessdata/por.unicharset
%_datadir/tessdata/por.user-words
%_datadir/tessdata/por.word-dawg

%package deu-f
Group: Graphics
Summary: Fraktur (Old German) language pack for tesseract
%description deu-f
The %name-por package contains the data files required to recognize Fraktur (Old German)

%files deu-f
%_datadir/tessdata/deu-f.DangAmbigs
%_datadir/tessdata/deu-f.freq-dawg
%_datadir/tessdata/deu-f.inttemp
%_datadir/tessdata/deu-f.normproto
%_datadir/tessdata/deu-f.pffmtable
%_datadir/tessdata/deu-f.unicharset
%_datadir/tessdata/deu-f.user-words
%_datadir/tessdata/deu-f.word-dawg
%endif

#- add Portuguese and Old German language packages

%changelog
* Wed Oct 24 2007 Vitaly Lipatov <lav@altlinux.ru> 2.01-alt1
- new version 2.01 (with rpmrb script)

* Tue Jul 24 2007 Vitaly Lipatov <lav@altlinux.ru> 2.00-alt1
- initial build for Sisyphus
